#!/bin/sh
SRC=$USERDATAPATH
DEST=/mnt/mtdblock
DEST2=/mnt/mtdblock/data
DEST3=/mnt/mtdblock/drivers

ifconfig eth0 192.168.1.201 up
mknod /dev/sdb b 8 16
mknod /dev/sdc b 8 32
mknod /dev/sdd b 8 48
mknod /dev/sde b 8 64

if [ -d $DEST/adpic/ ]; then
  cd $DEST/adpic && rm -rf ad_7.jpg ad_8.jpg && sync
fi

if [ -f $DEST/res.tgz ]; then
   tar -xzf $DEST/res.tgz -C /mnt/ramdisk/ && sync
fi 
   
if [ -f $DEST/language.tgz ]; then
    tar -xzf $DEST/language.tgz -C /mnt/ramdisk/ && sync
fi
    
if [ -f $DEST/lib/minires.tgz ]; then
	tar -xzf $DEST/lib/minires.tgz -C /usr/local/lib && rm $DEST/lib/minires.tgz -f &&  sync
fi

if [ -f $DEST/drivers/gpio_drv.ko ]; then
        insmod $DEST/drivers/gpio_drv.ko
fi

if [ -f $DEST/drivers/eeprom.ko ]; then
        rm $DEST/drivers/eeprom.ko && sync
fi

if [ -f $DEST/drivers/hv7131.ko ]; then
        insmod $DEST/drivers/hv7131.ko
fi

if [ -f $DEST/drivers/cim.ko ]; then
   	insmod $DEST/drivers/cim.ko
fi

if [ -f $DEST/drivers/dummy.ko ]; then
   	insmod $DEST/drivers/dummy.ko
fi

if [ -f $DEST/drivers/gspca.ko ]; then
     insmod $DEST/drivers/gspca.ko
fi     

if [ -f $DEST3/jz_udc.o ]; then
   insmod $DEST3/jz_udc.o
fi

if [ -d $DEST3/wifi ]; then
  cd $DEST3 && rm g_serial.ko -f && sync
fi 

if [ -f $DEST3/wifi/rt73.tgz ]; then
        rm /etc/rt73* -f && tar xvzf $DEST3/wifi/rt73.tgz -C /etc/ && sync
fi

if [ -f $DEST3/wifi/rt73.ko ]; then
        insmod $DEST3/wifi/rt73.ko
fi        
                
if [ -f $DEST3/g_serial.o ]; then
    insmod $DEST3/g_serial.o use_acm=1
fi

if [ -f $DEST3/g_serial.ko ]; then
    insmod $DEST3/g_serial.ko use_acm=1
fi    

if [ -f $DEST/usbpower.zem500 ]; then
    chmod u+x $DEST/usbpower.zem500 && $DEST/usbpower.zem500
fi

if [ -f $DEST/lib/libweb.so ]; then
	ln -s $DEST/lib/libweb.so /lib/libweb.so -f
fi

if [ -f $DEST/webroot.tgz ]; then
  tar xzf $DEST/webroot.tgz -C /mnt/mtdblock/ && sync
fi
	
if [ ! -c /dev/ttygserial ]; then
    mknod /dev/ttygserial c 127 0
fi

ALGOLIB=$DEST/lib/libzkfp.so.3.5.1
ln -s $ALGOLIB  /lib/libzkfp.so.3 -f
ln -s $ALGOLIB  /lib/libzkfp.so -f
ln -s $DEST/lib/libjpeg.so /lib/libjpeg.so.62 -f 
ln -s $DEST/MiniGUI.cfg /etc/MiniGUI.cfg -f
ln -s $DEST/lib/libttf.so /lib/libttf.so -f
ln -s $DEST/lib/libzkfp.so.4.0.0 /lib/libzkfp.so.10 -f 
ln -s $DEST/lib/libdlcl.so.1 /lib/libdlcl.so -f
ln -s $DEST/lib/libfpsensor.so /lib/libfpsensor.so -f
ln -s $DEST/lib/libstdc++.so.6.0.8 /lib/libstdc++.so.6 -f
ln -s $DEST/lib/libZKFace.so /lib/libZKFace.so -f
ln -s $DEST/lib/libhttppush.so /lib/libhttppush.so -f


if [ -f $DEST/main.gz ]; then
	cd $DEST && rm main -f && gunzip main.gz && sync
fi
        
if [ -f $DEST/main ]; then
	cd $DEST && chmod u+x $DEST/main && $DEST/main
fi 

if [ -f $DEST2/wdt ]; then
	cd $DEST/data && chmod u+x $DEST/data/wdt && $DEST/data/wdt -p 5 -t 3600 -m "/mnt/mtdblock/main"
fi
